:root {
  font-size: 20px;

  --em1: 1em;
  --em2: 1.25em;
  --em3: 1.5em;
  --em4: 1.75em;
  --em5: 2em;
}

body {
  background-color: rgba(255, 251, 242, 1);
  text-align: center;
  font-family: sans-serif;
  line-height: 1.6;
}

h2,
h3,
h4,
h5,
h6 {
  text-align: left;
  margin-top: var(--em5);
  margin-bottom: 0.25rem;
}

article {
  max-width: 1200px;
  margin: 1em auto;
  padding: 0 var(--em1);
}

section {
  display: grid;
  gap: var(--em3);
  align-items: center;
  padding: 1em;
  margin: 0 0 1em 0;
  background: #fff;
  border: 1px solid rgba(122, 113, 88, 0.5);
}

.section-4 {
  line-height: 1;
}

section p {
  background: rgba(249, 234, 186, 1);
  padding: var(--em1);
  text-align: center;
}

.em1 {
  font-size: var(--em1);
}
.em2 {
  font-size: var(--em2);
}
.em3 {
  font-size: var(--em3);
}
.em4 {
  font-size: var(--em4);
}
.em5 {
  font-size: var(--em5);
}

.button {
  display: inline-block;
  margin: var(--em5) auto;
  padding: var(--em1) var(--em3);
  background: rgba(119, 93, 58, 1);
  color: #fff;
  border-radius: var(--em1);
  font-weight: 900;
  text-decoration: none;
  font-size: var(--em3);
}

@media screen and (min-width: 48em) {
  article {
    padding: 0 var(--em5);
  }
  .section-1 {
    grid-template-columns: 2fr 1fr;
  }
  .section-2 {
    grid-template-columns: 1fr 1fr;
  }
  .section-3 {
    grid-template-columns: 1fr 1fr;
  }
}

@media screen and (min-width: 72em) {
  .section-2 {
    grid-template-columns: 3fr 1fr;
  }
  .section-3 {
    grid-template-columns: 1fr 1fr 1fr 1fr;
  }
  .section-4 {
    grid-template-columns: repeat(5, 1fr);
    justify-items: stretch;
  }
}

@media screen and (max-width: 300px) {
  :root {
    font-size: 16px;
    font-family: monospace;
  }
  body {
    word-break: break-all;
    overflow-wrap: break-word;
  }
  h2,
  h3,
  .button,
  .em1,
  .em2,
  .em3,
  .em4,
  .em5 {
    font-size: 0.9rem;
  }
}
@media screen and (max-width: 200px) {
  * {
    border: 0 transparent !important;
    padding: 0.25em !important;
    margin: 0.25em 0 !important;
  }
}

@media screen and (max-width: 75px) {
  body {
    overflow-x: hidden;
    min-width: 2rem;
  }
  * {
    padding: 0.25 0 !important;
  }

  article {
    padding: 0 !important;
  }
}
